#ifndef __NLL_VARIABLE_H_INCLUDED__
#define __NLL_VARIABLE_H_INCLUDED__

struct variable {
  struct variable *next;
  struct variable *prev;
  value_t value;
  int refcount;
  char name[VARIABLE_NAMELEN + 1];
};

int variable_check(void);
int variable_del(variable_t variable);
int variable_clean(void);
int variable_clear(void);
int variable_new(variable_t variable);
int variable_init(void);
int variable_done(void);
int variable_get(const char *name, variable_t *variablep);
int variable_dump(FILE *fp, variable_t variable);
int variable_const_list(FILE *fp);

#endif
